Bug 225836 - Merge Review: gnome-speech
Summary: Merge Review: gnome-speech
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:54 UTC by Nobody's working on this, feel free to take it
Modified: 2010-10-13 06:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-13 06:37:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+


Attachments (Terms of Use)
spec cleanup (2.12 KB, patch)
2010-10-07 10:13 UTC, Parag AN(पराग)
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 18:54:38 UTC
Fedora Merge Review: gnome-speech

http://cvs.fedora.redhat.com/viewcvs/devel/gnome-speech/
Initial Owner: davidz@redhat.com

Comment 1 Andrea Musuruane 2007-07-27 13:18:27 UTC
I was passing by and I noticed some problems. I don't have the time for a formal
review though. Maybe later.

The following line at the beginning of the spec file is not needed:
%define po_package gnome-speech
It should be deleted.

%makeinstall macro should not be used, if possible:
http://fedoraproject.org/wiki/Packaging/Guidelines?highlight=%28package%29%7C%28review%29#head-fcaf3e6fcbd51194a5d0dbcfbdd2fcb7791dd002
If it is not possible you should put a remark to avoid reports from people like
me :)

gnome-speech-espeak subpackage should require espeak. 

I think you should also make a separate subpackage for festival like you did
with espeak. It should be possible to use espeak without having festival
installed. Therefore the Requires tag for festival should be moved from the main
package.

Are you sure gettext is required? I cannot see no translation neither in the
original source package nor in the spec file.

HTH.


Comment 2 Andrea Musuruane 2007-11-22 10:21:55 UTC
Adding current maintainer to CC list.

Comment 3 Andrea Musuruane 2008-12-09 10:50:27 UTC
Ping? Are these issues I pointed out addressed? There have been 9 releases of gnome-speech after I submitted my notes, but all the problems are still there.

Comment 4 Parag AN(पराग) 2010-10-07 10:13:07 UTC
Created attachment 452079 [details]
spec cleanup

Please commit this git cleanup patch or allow to commit it.

Comment 5 Parag AN(पराग) 2010-10-13 06:37:31 UTC
Applied and built in gnome-speech-0.4.25-4.fc15

APPROVED.


Note You need to log in before you can comment on or make changes to this bug.